Top > OOoSF > Ruby > Compile

コンパイル Edit

Windows Edit

必要品

  • OpenOffice.org 3.X ? および SDK (セットアップしておく)
  • VC 2008 C++ Express
  • Ruby 1.8.7 <= または 1.9.X ヘッダ
  1. git もしくはソースを tar ball かなにかで取ってくる。
  2. Visual Stadio Command Prompt を立ち上げて SDK の環境変数を設定する。
    setsdkenv_windows.bat
  3. Makefile を作成する。
    ruby.exe extconf.rb
  4. コンパイルする。
    nmake
  5. 必要に応じてインストールする。
    nmake site-install

Linux Edit

必要品

  • OpenOffice.org 3.X ? および SDK (セットアップしておく)
  • GCC 4.?
  • Ruby 1.8.7 <= または 1.9.X ヘッダ
  1. git もしくはソースを tar ball かなにかで取ってくる。
  2. SDK の環境変数を設定する。
    ~/openoffice.org3.2_sdk/localhost.localdomain/setsdkenv_unix.sh
  3. Makefile ファイルを作成する。
    ruby extconf.rb
  4. コンパイルする。
    make
  5. 必要に応じてインストール。
    make site-install

Reload   New Lower page making Edit Freeze Diff Upload Copy Rename   Front page List of pages Search Recent changes Backup   Help   RSS of recent changes